<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hwpf.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hwpf.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/sprm/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/ooxml/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hwpf.usermodel</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/Bookmark.html"
                                            title="interface in org.apache.poi.hwpf.usermodel">Bookmark</a></td>
                    <td class="colLast">
                        <div class="block">User friendly interface to access information about document bookmarks</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/Bookmarks.html"
                                            title="interface in org.apache.poi.hwpf.usermodel">Bookmarks</a></td>
                    <td class="colLast">
                        <div class="block">User-friendly interface to access document bookmarks</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/Field.html"
                                            title="interface in org.apache.poi.hwpf.usermodel">Field</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/Fields.html"
                                            title="interface in org.apache.poi.hwpf.usermodel">Fields</a></td>
                    <td class="colLast">
                        <div class="block">User-friendly interface to access document <a
                                href="../../../../../org/apache/poi/hwpf/usermodel/Field.html"
                                title="interface in org.apache.poi.hwpf.usermodel"><code>Field</code></a>s
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/Notes.html"
                                            title="interface in org.apache.poi.hwpf.usermodel">Notes</a></td>
                    <td class="colLast">
                        <div class="block">User-friendly interface to access document notes information</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/ObjectsPool.html"
                                            title="interface in org.apache.poi.hwpf.usermodel">ObjectsPool</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
                                            title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawing</a></td>
                    <td class="colLast">
                        <div class="block">User-friendly interface to office drawing objects.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawings.html"
                                            title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawings</a></td>
                    <td class="colLast">
                        <div class="block">User-friendly interface to access document part's office drawings</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/BookmarksImpl.html"
                                            title="class in org.apache.poi.hwpf.usermodel">BookmarksImpl</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of user-friendly interface for document bookmarks</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/BorderCode.html"
                                            title="class in org.apache.poi.hwpf.usermodel">BorderCode</a></td>
                    <td class="colLast">
                        <div class="block">Mapping class for BRC80 structure (Border Code for Word 97)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                            title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                            title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a></td>
                    <td class="colLast">
                        <div class="block">This class represents a run of text that share common properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/DateAndTime.html"
                                            title="class in org.apache.poi.hwpf.usermodel">DateAndTime</a></td>
                    <td class="colLast">
                        <div class="block">This class is used to represent a date and time in a Word document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/DropCapSpecifier.html"
                                            title="class in org.apache.poi.hwpf.usermodel">DropCapSpecifier</a></td>
                    <td class="colLast">
                        <div class="block">This data structure is used by a paragraph to determine how it should drop
                            its first letter.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/FieldsImpl.html"
                                            title="class in org.apache.poi.hwpf.usermodel">FieldsImpl</a></td>
                    <td class="colLast">
                        <div class="block">Default implementation of <a
                                href="../../../../../org/apache/poi/hwpf/usermodel/Field.html"
                                title="interface in org.apache.poi.hwpf.usermodel"><code>Field</code></a></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html"
                                            title="class in org.apache.poi.hwpf.usermodel">HeaderStories</a></td>
                    <td class="colLast">
                        <div class="block">A HeaderStory is a Header, a Footer, or footnote/endnote
                            separator.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html"
                                            title="class in org.apache.poi.hwpf.usermodel">HWPFList</a></td>
                    <td class="colLast">
                        <div class="block">This class is used to create a list in a Word document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwpf/usermodel/LineSpacingDescriptor.html"
                            title="class in org.apache.poi.hwpf.usermodel">LineSpacingDescriptor</a></td>
                    <td class="colLast">
                        <div class="block">This class is used to determine line spacing for a paragraph.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/ListEntry.html"
                                            title="class in org.apache.poi.hwpf.usermodel">ListEntry</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/NotesImpl.html"
                                            title="class in org.apache.poi.hwpf.usermodel">NotesImpl</a></td>
                    <td class="colLast">
                        <div class="block">Default implementation of <a
                                href="../../../../../org/apache/poi/hwpf/usermodel/Notes.html"
                                title="interface in org.apache.poi.hwpf.usermodel"><code>Notes</code></a> interface
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/ObjectPoolImpl.html"
                                            title="class in org.apache.poi.hwpf.usermodel">ObjectPoolImpl</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawingsImpl.html"
                                            title="class in org.apache.poi.hwpf.usermodel">OfficeDrawingsImpl</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                            title="class in org.apache.poi.hwpf.usermodel">Paragraph</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/ParagraphProperties.html"
                                            title="class in org.apache.poi.hwpf.usermodel">ParagraphProperties</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                            title="class in org.apache.poi.hwpf.usermodel">Picture</a></td>
                    <td class="colLast">
                        <div class="block">Represents embedded picture extracted from Word Document</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html"
                                            title="class in org.apache.poi.hwpf.usermodel">PictureRunMapper</a></td>
                    <td class="colLast">
                        <div class="block">Helper class for mapping Pictures to Runs within
                            a document.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                            title="class in org.apache.poi.hwpf.usermodel">Range</a></td>
                    <td class="colLast">
                        <div class="block">This class is the central class of the HWPF object model.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/Section.html"
                                            title="class in org.apache.poi.hwpf.usermodel">Section</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/SectionProperties.html"
                                            title="class in org.apache.poi.hwpf.usermodel">SectionProperties</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                            title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor</a></td>
                    <td class="colLast">
                        <div class="block">The SHD is a substructure of the CHP, PAP, and TC for Word 2000.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor80.html"
                                            title="class in org.apache.poi.hwpf.usermodel">ShadingDescriptor80</a></td>
                    <td class="colLast">
                        <div class="block">The SHD80 is a substructure of the CHP and PAP, and TC for Word 97.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/Table.html"
                                            title="class in org.apache.poi.hwpf.usermodel">Table</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwpf/usermodel/TableAutoformatLookSpecifier.html"
                            title="class in org.apache.poi.hwpf.usermodel">TableAutoformatLookSpecifier</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/TableCell.html"
                                            title="class in org.apache.poi.hwpf.usermodel">TableCell</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/TableCellDescriptor.html"
                                            title="class in org.apache.poi.hwpf.usermodel">TableCellDescriptor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/TableIterator.html"
                                            title="class in org.apache.poi.hwpf.usermodel">TableIterator</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/TableProperties.html"
                                            title="class in org.apache.poi.hwpf.usermodel">TableProperties</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/TableRow.html"
                                            title="class in org.apache.poi.hwpf.usermodel">TableRow</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.HorizontalPositioning.html"
                            title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.HorizontalPositioning</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.HorizontalRelativeElement.html"
                            title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.HorizontalRelativeElement</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.VerticalPositioning.html"
                            title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.VerticalPositioning</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.VerticalRelativeElement.html"
                            title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.VerticalRelativeElement</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html"
                                            title="enum in org.apache.poi.hwpf.usermodel">PictureType</a></td>
                    <td class="colLast">
                        <div class="block">Picture types supported by MS Word format</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/sprm/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/ooxml/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
